Cmd palette
CompozyOS Cmd palette HTTP endpoints.
/api/cmd-palette/clientsQuery Parameters
Workspace id, name, or path
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/cmd-palette/clients?workspace=string"[ { "attached_at": "2019-08-24T14:15:22Z", "client_id": "string", "kind": "string", "workspace": "string" }]/api/cmd-palette/commandsQuery Parameters
Workspace id, name, or path
Attached client whose context resolves availability
Read one profile's rows by name
Read the owner-labeled all-profiles aggregate
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/cmd-palette/commands?workspace=string"{ "catalog_revision": "string", "commands": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "alias": "string", "arguments": [ { "name": "string", "options": [ "string" ], "placeholder": "string", "required": true, "type": "string" } ], "availability_exempt": true, "available": true, "bindings": [ "string" ], "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "execution": { "retry_safe": true, "single_flight": true }, "global_shortcut": { "active_chord": "string", "intended_chord": "string", "reason": "string", "settings_url": "string", "status": "string" }, "icon": "string", "id": "string", "keywords": [ "string" ], "reason": "string", "section": "string", "source": "string", "title": "string", "when": [ { "key": "string", "operator": "string", "reason": "string", "value": null } ] } ], "context_revision": "string", "profile_lens": { "profile_lens_id": "string", "profile_name": "string" }, "sources": [ { "reason": "string", "source": "string", "status": "string" } ]}/api/cmd-palette/commands/{id}/invokePath Parameters
Canonical command id
Query Parameters
Act as this profile by name
Header Parameters
Attached client identity token
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/cmd-palette/commands/string/invoke" \ -H "X-Compozy-Client-Token: string" \ -H "Content-Type: application/json" \ -d '{ "args": { "property1": null, "property2": null }, "workspace": "string" }'{ "approval_id": "string", "invocation_id": "string", "profile_lens": { "profile_lens_id": "string", "profile_name": "string" }, "result": null, "status": "string"}/api/cmd-palette/personalizationQuery Parameters
Workspace id, name, or path
Read one profile's rows by name
Read the owner-labeled all-profiles aggregate
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/cmd-palette/personalization?workspace=string"{ "frecency_entries": 0, "pins": [ "string" ], "profile_lens": { "profile_lens_id": "string", "profile_name": "string" }, "query_associations": 0, "recents": 0, "workspace": "string"}/api/cmd-palette/personalizationQuery Parameters
Workspace id, name, or path
Act as this profile by name
Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/cmd-palette/personalization?workspace=string"{ "status": "string"}/api/cmd-palette/pins/{id}Path Parameters
Canonical command id
Query Parameters
Workspace id, name, or path
Act as this profile by name
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/cmd-palette/pins/string?workspace=string"{ "pinned": true}/api/cmd-palette/pins/{id}Path Parameters
Canonical command id
Query Parameters
Workspace id, name, or path
Act as this profile by name
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/cmd-palette/pins/string?workspace=string"{ "pinned": true}/api/cmd-palette/rank-signalsQuery Parameters
Workspace id, name, or path
Read one profile's rows by name
Read the owner-labeled all-profiles aggregate
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/cmd-palette/rank-signals?workspace=string"{ "pins": [ "string" ], "profile_lens": { "profile_lens_id": "string", "profile_name": "string" }, "query_hits": [ { "command_id": "string", "query": "string", "weight": 0.1 } ], "revision": "string", "usage": [ { "command_id": "string", "last_used_at": 0, "weight": 0.1 } ], "weights": { "context_boost": 0.1, "deadband": 0.1, "domain_view_mount_cap": 0, "entity_section_visible_cap": 0, "fallback_weak_match_threshold": 0.1, "frecency_cap": 0.1, "frecency_half_life_days": 0, "frecency_scale": 0.1, "ghost_min_score": 0.1, "group_order": [ "string" ], "match_alias_exact": 0.1, "match_compact_prefix": 0.1, "match_contains": 0.1, "match_exact": 0.1, "match_prefix": 0.1, "match_subsequence_max": 0.1, "match_subsequence_min": 0.1, "match_token_prefix": 0.1, "match_word_boundary_max": 0.1, "match_word_boundary_min": 0.1, "max_query_length": 0, "min_entity_query_length": 0, "promotion_command_floor": 0.1, "promotion_default_floor": 0.1, "promotion_path_floor": 0.1, "promotion_tab_floor": 0.1, "prune_after_days": 0, "prune_threshold": 0.1, "query_half_life_days": 0, "query_learning_cap": 0.1, "secondary_field_cap": 0.1, "secondary_field_multiplier": 0.1, "version": 0 }}/api/cmd-palette/streamQuery Parameters
Workspace id, name, or path
Read one profile's rows by name
Read the owner-labeled all-profiles aggregate
Response Body
text/event-stream
application/json
application/json
curl -X GET "https://example.com/api/cmd-palette/stream?workspace=string"{ "catalog_revision": "string", "profile_lens": { "profile_lens_id": "string", "profile_name": "string" }, "workspace": "string"}/api/cmd-palette/usageQuery Parameters
Read one profile's rows by name
Read the owner-labeled all-profiles aggregate
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/cmd-palette/usage" \ -H "Content-Type: application/json" \ -d '{ "command_id": "string", "query": "string", "workspace": "string" }'/api/cmd-palette/view-sessions/{session}Path Parameters
Opaque view session id
Header Parameters
Attached client identity token
Response Body
application/json
application/json
curl -X DELETE "https://example.com/api/cmd-palette/view-sessions/string" \ -H "X-Compozy-Client-Token: string"{ "closed": true}/api/cmd-palette/view-sessions/{session}/eventsPath Parameters
Opaque view session id
Header Parameters
Attached client identity token
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/cmd-palette/view-sessions/string/events" \ -H "X-Compozy-Client-Token: string" \ -H "Content-Type: application/json" \ -d '{ "handler": "string", "revision": "string", "seq": 0 }'{ "accepted": true}/api/cmd-palette/view-sessions/{session}/streamPath Parameters
Opaque view session id
Query Parameters
Opaque session stream token
Response Body
text/event-stream
application/json
application/json
curl -X GET "https://example.com/api/cmd-palette/view-sessions/string/stream?token=string"{ "effects": [ { "copy": { "content": "string" }, "id": "string", "open_app": { "app": "string" }, "open_url": { "url": "string" }, "pick_files": { "directories": true }, "toast": { "message": "string", "tone": "string" } } ], "generation": 0, "handlers": [ "string" ], "in_reply_to": 0, "patch": { "from": "string", "ops": [ { "op": "string", "path": "string", "value": null } ], "to": "string", "view_id": "string" }, "payload": { "chips": [ { "count": 0, "fallback": "string", "id": "string", "label": "string", "requires": { "property1": "string", "property2": "string" } } ], "chrome": { "active_chip": "string", "columns": 0, "complete": true, "event_count": 0, "filtering": true, "is_loading": true, "on_chip": "string", "on_load_more": "string", "on_search": "string", "on_selection": "string", "pagination": { "has_more": true, "page_size": 0 }, "search_placeholder": "string", "search_text": "string", "throttle_ms": 0 }, "detail": { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "is_loading": true, "markdown": "string", "metadata": [ { "fallback": "string", "label": "string", "requires": { "property1": "string", "property2": "string" }, "value": "string" } ] }, "empty": { "hint": "string", "icon": "string", "title": "string" }, "form": { "fields": [ { "default": null, "directories": true, "empty_hint": "string", "error": "string", "event_count": 0, "fallback": "string", "id": "string", "label": "string", "on_blur": "string", "on_change": "string", "options": [ "string" ], "placeholder": "string", "required": true, "requires": { "property1": "string", "property2": "string" }, "type": "string" } ], "on_submit": "string", "submit": { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } }, "grid": { "sections": [ { "tiles": [ { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "badge": { "label": "string", "tone": "string" }, "fallback": "string", "id": "string", "image": { "emoji": "string", "token": "string", "url": "string" }, "requires": { "property1": "string", "property2": "string" }, "title": "string" } ], "title": "string" } ] }, "sections": [ { "rows": [ { "accessories": [ "string" ], "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "badge": { "label": "string", "tone": "string" }, "detail": { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "is_loading": true, "markdown": "string", "metadata": [ { "fallback": "string", "label": "string", "requires": { "property1": "string", "property2": "string" }, "value": "string" } ] }, "fallback": "string", "icon": "string", "id": "string", "keywords": [ "string" ], "requires": { "property1": "string", "property2": "string" }, "subtitle": "string", "title": "string" } ], "title": "string" } ], "view": "string" }, "revision": "string", "view_session": "string"}/api/cmd-palette/views/{id}Path Parameters
Canonical view id
Query Parameters
Workspace id, name, or path
Read one profile's rows by name
Read the owner-labeled all-profiles aggregate
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/cmd-palette/views/string?workspace=string"{ "kind": "string", "payload": { "chips": [ { "count": 0, "fallback": "string", "id": "string", "label": "string", "requires": { "property1": "string", "property2": "string" } } ], "chrome": { "active_chip": "string", "columns": 0, "complete": true, "event_count": 0, "filtering": true, "is_loading": true, "on_chip": "string", "on_load_more": "string", "on_search": "string", "on_selection": "string", "pagination": { "has_more": true, "page_size": 0 }, "search_placeholder": "string", "search_text": "string", "throttle_ms": 0 }, "detail": { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "is_loading": true, "markdown": "string", "metadata": [ { "fallback": "string", "label": "string", "requires": { "property1": "string", "property2": "string" }, "value": "string" } ] }, "empty": { "hint": "string", "icon": "string", "title": "string" }, "form": { "fields": [ { "default": null, "directories": true, "empty_hint": "string", "error": "string", "event_count": 0, "fallback": "string", "id": "string", "label": "string", "on_blur": "string", "on_change": "string", "options": [ "string" ], "placeholder": "string", "required": true, "requires": { "property1": "string", "property2": "string" }, "type": "string" } ], "on_submit": "string", "submit": { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } }, "grid": { "sections": [ { "tiles": [ { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "badge": { "label": "string", "tone": "string" }, "fallback": "string", "id": "string", "image": { "emoji": "string", "token": "string", "url": "string" }, "requires": { "property1": "string", "property2": "string" }, "title": "string" } ], "title": "string" } ] }, "sections": [ { "rows": [ { "accessories": [ "string" ], "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "badge": { "label": "string", "tone": "string" }, "detail": { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "is_loading": true, "markdown": "string", "metadata": [ { "fallback": "string", "label": "string", "requires": { "property1": "string", "property2": "string" }, "value": "string" } ] }, "fallback": "string", "icon": "string", "id": "string", "keywords": [ "string" ], "requires": { "property1": "string", "property2": "string" }, "subtitle": "string", "title": "string" } ], "title": "string" } ], "view": "string" }, "profile_lens": { "profile_lens_id": "string", "profile_name": "string" }, "revision": "string", "stream_epoch": "string", "title": "string", "view_id": "string"}/api/cmd-palette/views/{id}/openPath Parameters
Canonical view id
Query Parameters
Act as this profile by name
Header Parameters
Attached client identity token
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/cmd-palette/views/string/open" \ -H "X-Compozy-Client-Token: string" \ -H "Content-Type: application/json" \ -d '{ "workspace": "string" }'{ "first_frame": { "effects": [ { "copy": { "content": "string" }, "id": "string", "open_app": { "app": "string" }, "open_url": { "url": "string" }, "pick_files": { "directories": true }, "toast": { "message": "string", "tone": "string" } } ], "generation": 0, "handlers": [ "string" ], "in_reply_to": 0, "patch": { "from": "string", "ops": [ { "op": "string", "path": "string", "value": null } ], "to": "string", "view_id": "string" }, "payload": { "chips": [ { "count": 0, "fallback": "string", "id": "string", "label": "string", "requires": { "property1": "string", "property2": "string" } } ], "chrome": { "active_chip": "string", "columns": 0, "complete": true, "event_count": 0, "filtering": true, "is_loading": true, "on_chip": "string", "on_load_more": "string", "on_search": "string", "on_selection": "string", "pagination": { "has_more": true, "page_size": 0 }, "search_placeholder": "string", "search_text": "string", "throttle_ms": 0 }, "detail": { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "is_loading": true, "markdown": "string", "metadata": [ { "fallback": "string", "label": "string", "requires": { "property1": "string", "property2": "string" }, "value": "string" } ] }, "empty": { "hint": "string", "icon": "string", "title": "string" }, "form": { "fields": [ { "default": null, "directories": true, "empty_hint": "string", "error": "string", "event_count": 0, "fallback": "string", "id": "string", "label": "string", "on_blur": "string", "on_change": "string", "options": [ "string" ], "placeholder": "string", "required": true, "requires": { "property1": "string", "property2": "string" }, "type": "string" } ], "on_submit": "string", "submit": { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } }, "grid": { "sections": [ { "tiles": [ { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "badge": { "label": "string", "tone": "string" }, "fallback": "string", "id": "string", "image": { "emoji": "string", "token": "string", "url": "string" }, "requires": { "property1": "string", "property2": "string" }, "title": "string" } ], "title": "string" } ] }, "sections": [ { "rows": [ { "accessories": [ "string" ], "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "badge": { "label": "string", "tone": "string" }, "detail": { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "is_loading": true, "markdown": "string", "metadata": [ { "fallback": "string", "label": "string", "requires": { "property1": "string", "property2": "string" }, "value": "string" } ] }, "fallback": "string", "icon": "string", "id": "string", "keywords": [ "string" ], "requires": { "property1": "string", "property2": "string" }, "subtitle": "string", "title": "string" } ], "title": "string" } ], "view": "string" }, "revision": "string", "view_session": "string" }, "profile_lens": { "profile_lens_id": "string", "profile_name": "string" }, "stream_token": "string", "view_session": "string"}/api/cmd-palette/views/{id}/streamPath Parameters
Canonical view id
Query Parameters
Workspace id, name, or path
Last applied patch sequence
Stream epoch required when after is greater than zero
Read one profile's rows by name
Read the owner-labeled all-profiles aggregate
Response Body
text/event-stream
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/cmd-palette/views/string/stream?workspace=string"{ "patch": { "from": "string", "ops": [ { "op": "string", "path": "string", "value": null } ], "to": "string", "view_id": "string" }, "payload": { "chips": [ { "count": 0, "fallback": "string", "id": "string", "label": "string", "requires": { "property1": "string", "property2": "string" } } ], "chrome": { "active_chip": "string", "columns": 0, "complete": true, "event_count": 0, "filtering": true, "is_loading": true, "on_chip": "string", "on_load_more": "string", "on_search": "string", "on_selection": "string", "pagination": { "has_more": true, "page_size": 0 }, "search_placeholder": "string", "search_text": "string", "throttle_ms": 0 }, "detail": { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "is_loading": true, "markdown": "string", "metadata": [ { "fallback": "string", "label": "string", "requires": { "property1": "string", "property2": "string" }, "value": "string" } ] }, "empty": { "hint": "string", "icon": "string", "title": "string" }, "form": { "fields": [ { "default": null, "directories": true, "empty_hint": "string", "error": "string", "event_count": 0, "fallback": "string", "id": "string", "label": "string", "on_blur": "string", "on_change": "string", "options": [ "string" ], "placeholder": "string", "required": true, "requires": { "property1": "string", "property2": "string" }, "type": "string" } ], "on_submit": "string", "submit": { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } }, "grid": { "sections": [ { "tiles": [ { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "badge": { "label": "string", "tone": "string" }, "fallback": "string", "id": "string", "image": { "emoji": "string", "token": "string", "url": "string" }, "requires": { "property1": "string", "property2": "string" }, "title": "string" } ], "title": "string" } ] }, "sections": [ { "rows": [ { "accessories": [ "string" ], "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "badge": { "label": "string", "tone": "string" }, "detail": { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "is_loading": true, "markdown": "string", "metadata": [ { "fallback": "string", "label": "string", "requires": { "property1": "string", "property2": "string" }, "value": "string" } ] }, "fallback": "string", "icon": "string", "id": "string", "keywords": [ "string" ], "requires": { "property1": "string", "property2": "string" }, "subtitle": "string", "title": "string" } ], "title": "string" } ], "view": "string" }, "reset": true, "revision": "string", "sequence": 0, "stream_epoch": "string"}